Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message.errors
Class Factory

    java.lang.Object
      org.jboss.soa.esb.listeners.message.errors.Factory

    public class Factory

extends java.lang.Object

Field Summary
`static java.lang.String` | `ERROR_ATTRIBUTE`
`static java.lang.String` | `NOT_ENABLED`
`static java.lang.String` | `PROCESSING_ERROR`
`static java.lang.String` | `UNEXPECTED_ERROR`

Constructor Summary
`Factory()`

Method Summary
`static Message` | `createErrorMessage(java.lang.String type, Message input, java.lang.Throwable problem)`
`static void` | `createExceptionFromFault(Message msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_ATTRIBUTE

    public static final java.lang.String ERROR_ATTRIBUTE

See Also:
  Constant Field Values

### PROCESSING_ERROR

    public static final java.lang.String PROCESSING_ERROR

See Also:
  Constant Field Values

### UNEXPECTED_ERROR

    public static final java.lang.String UNEXPECTED_ERROR

See Also:
  Constant Field Values

### NOT_ENABLED

    public static final java.lang.String NOT_ENABLED

See Also:
  Constant Field Values

Constructor Detail

### Factory

    public Factory()

Method Detail

### createExceptionFromFault

    public static void createExceptionFromFault(Message msg)
                                         throws FaultMessageException

  Throws:
    `FaultMessageException`

### createErrorMessage

    public static Message createErrorMessage(java.lang.String type,
                                             Message input,
                                             java.lang.Throwable problem)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD